<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>homework9_show-list-on-page</title>
  <style>
    ul {
      border: 1px solid black;
    }

    div {
      background: red;
      color: white;
      font-size: 30px;
      padding: 5px;
      display: inline-flex;
      width: 50px;
      height: 50px;
      justify-content: center;
      align-items: center;
    }
  </style>
</head>

<body>
  <script>
    'use strict';

    const arr1 = ["hello", "world", "Kiev", "Kharkiv", "Odessa", "Lviv"];
    const arr2 = ["Kharkiv", "Kiev", ["Borispol", "Irpin"], "Odessa", "Lviv", "Dnipro"];
    const arr3 = ["Kiev", ["Borispol", ['street1', 'street2', 'street3']], "Odessa", { name: 'street', count: 5, value: 456 }, "Dnipro"];

    let timeOut = 3;
    let myTimer = setInterval(() => {
      timeDIV.innerText = timeOut--;
      if (timeOut < 0) {
        document.body.innerHTML = '';
        clearInterval(myTimer);
      }
    }, 1000);

    let timeDIV = document.createElement('div');
    document.body.append(timeDIV);


    function convertObjToArr(obj, parent) {
      let result = [];
      for (let val in obj) {
        result.push(`${val}: ${obj[val]}`);
      }
      return result;
    }

    function createUL(parent) {
      let myUL = document.createElement('ul');
      parent.append(myUL);
      return myUL;
    }

    function createList(arr, parent = document.body) {
      let myUL = createUL(parent);
      arr.forEach(element => {
        if (Array.isArray(element)) {
          createList(element, myUL.lastElementChild);
        }
        else if (typeof element === 'object') {
          let temp = convertObjToArr(element, myUL.lastElementChild);
          createList(temp, myUL.lastElementChild);
        }
        else {
          let myLI = document.createElement('li');
          myLI.innerText = element;
          myUL.append(myLI);
        }
      });
    }

    createList(arr1,);
    createList(arr2,);
    createList(arr3,);

    myTimer();




  </script>
</body>

</html>